{
    attributes = (
        {
            columnName = "CE_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = ceOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CM_CODE"; 
            externalType = VARCHAR2; 
            name = cmCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "CM_CODE_FAM"; 
            externalType = VARCHAR2; 
            name = cmCodeFam; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "CM_LIB"; 
            externalType = VARCHAR2; 
            name = cmLib; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "CM_LIB_FAM"; 
            externalType = VARCHAR2; 
            name = cmLibFam; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MONTANT_HT"; 
            externalType = NUMBER; 
            name = montantEngageHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "SEUIL_MIN"; 
            externalType = NUMBER; 
            name = seuilMin; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (
        ceOrdre, 
        exeOrdre, 
        cmCode, 
        cmLib, 
        montantEngageHt, 
        seuilMin, 
        cmCodeFam, 
        cmLibFam
    ); 
    className = "org.cocktail.fwkcktldepense.server.metier.EOCtrlSeuilMAPA"; 
    classProperties = (
        cmCode, 
        cmLib, 
        montantEngageHt, 
        codeExer, 
        exercice, 
        seuilMin, 
        cmCodeFam, 
        cmLibFam
    ); 
    externalName = "JEFY_DEPENSE.V_CTRL_SEUIL_MAPA"; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cmCode, 
            cmLib, 
            montantEngageHt, 
            codeExer, 
            exercice, 
            seuilMin, 
            cmCodeFam, 
            cmLibFam
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktldepense.client.metier.EOCtrlSeuilMAPA"; 
    }; 
    name = FwkCaramboleCtrlSeuilMAPA; 
    primaryKeyAttributes = (ceOrdre); 
    relationships = (
        {
            destination = FwkCaramboleCodeExer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ceOrdre; sourceAttribute = ceOrdre; }); 
            name = codeExer; 
        }, 
        {
            destination = FwkCaramboleExercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
